@echo off
:top
cls
echo.                       Duke Nukem 3D - Atomc Edition
echo                             Random Respawn Pack
echo.
echo                               by Paul Smith
echo                           a.k.a.  Wally Waffles
echo.
echo                          1 - L(a)unch Duke Nukem 3D
echo                          2 - Go to (S)ETUP utility
echo.
echo                          3 - (I)nstall Random Respawn Pack
echo                          4 - (U)ninstall Random Respawn Pack
echo.
echo                          5 - (R)ead text file
echo                          6 - E(x)it
echo.
echo   v1.12 - Last Modified: April 27, 1999
echo.
echo Pick a number or a letter:
choice /n /c:123456asiurx /t:1,20
if errorlevel 12 goto end
if errorlevel 11 goto text
if errorlevel 10 goto uninstall
if errorlevel 9 goto install
if errorlevel 8 goto setup
if errorlevel 7 goto gameon
if errorlevel 6 goto end
if errorlevel 5 goto text
if errorlevel 4 goto uninstall
if errorlevel 3 goto install
if errorlevel 2 goto setup
if errorlevel 1 goto gameon

:gameon
CLS
if not exist RANDGAME.CON goto norandy
echo Do you want:
echo.
echo    1 - Regular Single-Play
echo        or
echo    2 - Fake Multi-Mode with an AI opponent?
echo.
choice /n /c:12 /t:1,20
if errorlevel 2 goto gameonai
if errorlevel 1 goto gameonone

:gameonone
CLS
echo Choose your game:
echo.
echo                            Episode 1 - L.A. Meltdown
echo                            Episode 2 - Lunar Apocalypse
echo                            Episode 3 - Shrapnel City
echo                            Episode 4 - The Birth
echo.
echo                              0 - Watch the demos
echo.
echo                            5 - Play the boring test map
choice /n /c:123405 /t:0,20
if errorlevel 6 goto gameonv5
if errorlevel 5 goto gameonv0
if errorlevel 4 goto gameonv4
if errorlevel 3 goto gameonv3
if errorlevel 2 goto gameonv2
if errorlevel 1 goto gameonv1

:gameonv0
DUKE3D.EXE /s3 /tX /xRANDGAME.CON /gRANDY.GRP %1 %2 %3 %4 %5 %6 %7 %8 %9
goto top

:gameonv1
DUKE3D.EXE /v1 /s3 /tX /xRANDGAME.CON /gRANDY.GRP %1 %2 %3 %4 %5 %6 %7 %8 %9
goto top

:gameonv2
DUKE3D.EXE /v2 /s3 /tX /xRANDGAME.CON /gRANDY.GRP %1 %2 %3 %4 %5 %6 %7 %8 %9
goto top

:gameonv3
DUKE3D.EXE /v3 /s3 /tX /xRANDGAME.CON /gRANDY.GRP %1 %2 %3 %4 %5 %6 %7 %8 %9
goto top

:gameonv4
DUKE3D.EXE /v4 /s3 /tX /xRANDGAME.CON /gRANDY.GRP %1 %2 %3 %4 %5 %6 %7 %8 %9
goto top

:gameonv5
DUKE3D.EXE /v1 /l9 /s3 /tX /xRANDGAME.CON /gRANDY.GRP %1 %2 %3 %4 %5 %6 %7 %8 %9
goto top

:gameonai
echo How many opponents do you want? (1-7)
choice /n /c:1234567 /t:1,20
if errorlevel 7 goto q8
if errorlevel 6 goto q7
if errorlevel 5 goto q6
if errorlevel 4 goto q5
if errorlevel 3 goto q4
if errorlevel 2 goto q3
if errorlevel 1 goto q2

:q2
DUKE3D.EXE /Q2 /A /L9 /M /tX /xRANDGAME.CON /gRANDY.GRP %1 %2 %3 %4 %5 %6 %7 %8 %9
goto top

:q3
DUKE3D.EXE /Q3 /A /L9 /M /tX /xRANDGAME.CON /gRANDY.GRP %1 %2 %3 %4 %5 %6 %7 %8 %9
goto top

:q4
DUKE3D.EXE /Q4 /A /L9 /M /tX /xRANDGAME.CON /gRANDY.GRP %1 %2 %3 %4 %5 %6 %7 %8 %9
goto top

:q5
DUKE3D.EXE /Q5 /A /L9 /M /tX /xRANDGAME.CON /gRANDY.GRP %1 %2 %3 %4 %5 %6 %7 %8 %9
goto top

:q6
DUKE3D.EXE /Q6 /A /L9 /M /tX /xRANDGAME.CON /gRANDY.GRP %1 %2 %3 %4 %5 %6 %7 %8 %9
goto top

:q7
DUKE3D.EXE /Q7 /A /L9 /M /tX /xRANDGAME.CON /gRANDY.GRP %1 %2 %3 %4 %5 %6 %7 %8 %9
goto top

:q8
DUKE3D.EXE /Q8 /A /L9 /M /tX /xRANDGAME.CON /gRANDY.GRP %1 %2 %3 %4 %5 %6 %7 %8 %9
goto top

:install
cls
echo If at any time you wish to abort installation, press Ctrl-C
echo.
echo The following 3 conditions must be present:
echo.
echo   *Are we in your Duke Nukem 3D v1.5 directory?
echo   *Have you unzipped RANDY.GRP into the current directory?
echo   *Is KEXTRACT.EXE in the current directory?
echo.
echo If these three conditions are not present, abort and make it so!
echo KEXTRACT.EXE is located on the Duke Nukem 3D CD-ROM in the \GOODIES\BUILD\
echo directory.  If you have v1.4, you can download the patch from my website.
pause
if not exist DUKE3D.EXE goto nogame
if not exist RANDY.GRP goto nogrp
if not exist KEXTRACT.EXE goto nokx
CLS
echo I'm going to create a directory called YOURCRAP\RANDY\  Should any of
echo YOUR files need to be backed up, this is where they'll be moved to.
echo If you have any TILES0*.ART files (00-19) in your directory they might
echo interfere with the Random Respawn Pack, so they'll be backed up!
pause
echo Creating directory called YOURCRAP\RANDY\
MD YOURCRAP
CD YOURCRAP
MD RANDY
CD ..
if exist TILES000.ART move TILES0*.ART YOURCRAP\RANDY
if exist TILES001.ART move TILES0*.ART YOURCRAP\RANDY
if exist TILES002.ART move TILES0*.ART YOURCRAP\RANDY
if exist TILES003.ART move TILES0*.ART YOURCRAP\RANDY
if exist TILES004.ART move TILES0*.ART YOURCRAP\RANDY
if exist TILES005.ART move TILES0*.ART YOURCRAP\RANDY
if exist TILES006.ART move TILES0*.ART YOURCRAP\RANDY
if exist TILES007.ART move TILES0*.ART YOURCRAP\RANDY
if exist TILES008.ART move TILES0*.ART YOURCRAP\RANDY
if exist TILES009.ART move TILES0*.ART YOURCRAP\RANDY
if exist TILES010.ART move TILES0*.ART YOURCRAP\RANDY
if exist TILES011.ART move TILES0*.ART YOURCRAP\RANDY
if exist TILES012.ART move TILES0*.ART YOURCRAP\RANDY
if exist TILES013.ART move TILES0*.ART YOURCRAP\RANDY
if exist TILES014.ART move TILES0*.ART YOURCRAP\RANDY
if exist TILES015.ART move TILES0*.ART YOURCRAP\RANDY
if exist TILES016.ART move TILES0*.ART YOURCRAP\RANDY
if exist TILES017.ART move TILES0*.ART YOURCRAP\RANDY
if exist TILES018.ART move TILES0*.ART YOURCRAP\RANDY
if exist TILES019.ART move TILES0*.ART YOURCRAP\RANDY
if exist DEMO1.DMO move DEMO*.DMO YOURCRAP\RANDY
if exist DEMO2.DMO move DEMO*.DMO YOURCRAP\RANDY
if exist DEMO3.DMO move DEMO*.DMO YOURCRAP\RANDY
if exist DEMO4.DMO move DEMO*.DMO YOURCRAP\RANDY
if exist DEMO5.DMO move DEMO*.DMO YOURCRAP\RANDY
if exist DEMO6.DMO move DEMO*.DMO YOURCRAP\RANDY
if exist DEMO7.DMO move DEMO*.DMO YOURCRAP\RANDY
if exist DEMO8.DMO move DEMO*.DMO YOURCRAP\RANDY
if exist DEMO9.DMO move DEMO*.DMO YOURCRAP\RANDY
echo Backup process complete.  Any files that were backed up will be found in
echo the YOURCRAP\RANDY directory.
pause
CLS
echo I will now extract a few files from RANDY.GRP
pause
KEXTRACT.EXE RANDY.GRP RANDGAME.CON RANDY.TXT
echo Installtion complete!
pause
goto top

:uninstall
if not exist RANDGAME.CON goto nocon
cls
echo Are you SURE you want to UNINSTALL the Random Respawn Pack?   [Y/N]
choice /n /c:yn /t:n,20
if errorlevel 2 goto no_un
if errorlevel 1 goto yes_un

:no_un
echo Uninstallation Aborted ^.^
pause
goto top

:yes_un
echo You chose to UNINSTALL!
pause
echo The Random Respawn Pack is now being uninstalled...
if exist RANDGAME.CON DEL RANDGAME.CON
if exist RANDDEFS.CON DEL RANDDEFS.CON
if exist RANDUSER.CON DEL RANDUSER.CON
if exist RANDY.TXT DEL RANDY.TXT
if exist YOURCRAP\RANDY\TILES000.ART goto unback
if exist YOURCRAP\RANDY\TILES001.ART goto unback
if exist YOURCRAP\RANDY\TILES002.ART goto unback
if exist YOURCRAP\RANDY\TILES003.ART goto unback
if exist YOURCRAP\RANDY\TILES004.ART goto unback
if exist YOURCRAP\RANDY\TILES005.ART goto unback
if exist YOURCRAP\RANDY\TILES006.ART goto unback
if exist YOURCRAP\RANDY\TILES007.ART goto unback
if exist YOURCRAP\RANDY\TILES008.ART goto unback
if exist YOURCRAP\RANDY\TILES009.ART goto unback
if exist YOURCRAP\RANDY\TILES010.ART goto unback
if exist YOURCRAP\RANDY\TILES011.ART goto unback
if exist YOURCRAP\RANDY\TILES012.ART goto unback
if exist YOURCRAP\RANDY\TILES013.ART goto unback
if exist YOURCRAP\RANDY\TILES014.ART goto unback
if exist YOURCRAP\RANDY\TILES015.ART goto unback
if exist YOURCRAP\RANDY\TILES016.ART goto unback
if exist YOURCRAP\RANDY\TILES017.ART goto unback
if exist YOURCRAP\RANDY\TILES018.ART goto unback
if exist YOURCRAP\RANDY\TILES019.ART goto unback
if exist YOURCRAP\RANDY\DEMO1.DMO goto unback
if exist YOURCRAP\RANDY\DEMO2.DMO goto unback
if exist YOURCRAP\RANDY\DEMO3.DMO goto unback
if exist YOURCRAP\RANDY\DEMO4.DMO goto unback
if exist YOURCRAP\RANDY\DEMO5.DMO goto unback
if exist YOURCRAP\RANDY\DEMO6.DMO goto unback
if exist YOURCRAP\RANDY\DEMO7.DMO goto unback
if exist YOURCRAP\RANDY\DEMO8.DMO goto unback
if exist YOURCRAP\RANDY\DEMO9.DMO goto unback
goto unfin

:unback
echo The following files were backed up when you installed the
echo Random Respawn Pack:
pause
dir YOURCRAP\RANDY /p
echo What do you want done with these files?
echo.
echo      1 - Restore these files to my Duke3D directory
echo.
echo      2 - Leave these files and I'll take care of them
echo.
echo      3 - Don't restore thse files;  Delete them!
echo.
choice /n /c:123
if errorlevel 3 goto undel
if errorlevel 2 goto unstay
if errorlevel 1 goto unres

:unres
echo Restoring your files from YOURCRAP\RANDY
CD YOURCRAP\RANDY
MOVE *.* ..\..
CD ..
RD RANDY
CD ..
goto unfin

:unstay
echo Backed up files shall remain backed up...
goto unfin

:undel
echo Deleting your backed up files...
if exist YOURCRAP\RANDY\TILES000.ART del YOURCRAP\RANDY\*.ART
if exist YOURCRAP\RANDY\TILES001.ART del YOURCRAP\RANDY\*.ART
if exist YOURCRAP\RANDY\TILES002.ART del YOURCRAP\RANDY\*.ART
if exist YOURCRAP\RANDY\TILES003.ART del YOURCRAP\RANDY\*.ART
if exist YOURCRAP\RANDY\TILES004.ART del YOURCRAP\RANDY\*.ART
if exist YOURCRAP\RANDY\TILES005.ART del YOURCRAP\RANDY\*.ART
if exist YOURCRAP\RANDY\TILES006.ART del YOURCRAP\RANDY\*.ART
if exist YOURCRAP\RANDY\TILES007.ART del YOURCRAP\RANDY\*.ART
if exist YOURCRAP\RANDY\TILES008.ART del YOURCRAP\RANDY\*.ART
if exist YOURCRAP\RANDY\TILES009.ART del YOURCRAP\RANDY\*.ART
if exist YOURCRAP\RANDY\TILES010.ART del YOURCRAP\RANDY\*.ART
if exist YOURCRAP\RANDY\TILES011.ART del YOURCRAP\RANDY\*.ART
if exist YOURCRAP\RANDY\TILES012.ART del YOURCRAP\RANDY\*.ART
if exist YOURCRAP\RANDY\TILES013.ART del YOURCRAP\RANDY\*.ART
if exist YOURCRAP\RANDY\TILES014.ART del YOURCRAP\RANDY\*.ART
if exist YOURCRAP\RANDY\TILES015.ART del YOURCRAP\RANDY\*.ART
if exist YOURCRAP\RANDY\TILES016.ART del YOURCRAP\RANDY\*.ART
if exist YOURCRAP\RANDY\TILES017.ART del YOURCRAP\RANDY\*.ART
if exist YOURCRAP\RANDY\TILES018.ART del YOURCRAP\RANDY\*.ART
if exist YOURCRAP\RANDY\TILES019.ART del YOURCRAP\RANDY\*.ART
if exist YOURCRAP\RANDY\DEMO1.DMO del YOURCRAP\RANDY\*.DMO
if exist YOURCRAP\RANDY\DEMO2.DMO del YOURCRAP\RANDY\*.DMO
if exist YOURCRAP\RANDY\DEMO3.DMO del YOURCRAP\RANDY\*.DMO
if exist YOURCRAP\RANDY\DEMO4.DMO del YOURCRAP\RANDY\*.DMO
if exist YOURCRAP\RANDY\DEMO5.DMO del YOURCRAP\RANDY\*.DMO
if exist YOURCRAP\RANDY\DEMO6.DMO del YOURCRAP\RANDY\*.DMO
if exist YOURCRAP\RANDY\DEMO7.DMO del YOURCRAP\RANDY\*.DMO
if exist YOURCRAP\RANDY\DEMO8.DMO del YOURCRAP\RANDY\*.DMO
if exist YOURCRAP\RANDY\DEMO9.DMO del YOURCRAP\RANDY\*.DMO
CD YOURCRAP
RD RANDY
CD ..
goto unfin

:unfin
echo.
echo Uninstallation complete.
echo To REALLY finalize uninstallation though, you must delete
echo RANDY.GRP and RANDY.BAT yourself.
pause
goto top

:setup
if not exist RANDGAME.CON goto norandy
SETUP.EXE /xRANDGAME.CON /gRANDY.GRP %1 %2 %3 %4 %5 %6 %7 %8 %9
goto top

:text
if not exist RANDY.TXT goto ktxt
type RANDY.TXT | MORE
pause
goto top

:nogame
echo DUKE3D.EXE not found!
echo This leads me to believe that we are NOT in your Duke3D directory!
pause
goto top

:norandy
echo Sorry, but you must install the Random Respawn Pack
echo before you can play it (RANDGAME.CON not found)
pause
goto top

:nopk
echo PKUNZIP.EXE not found!
echo This file is necessary to install the Random Respawn Pack!
pause
goto top

:nokx
echo KEXTRACT.EXE not found!
echo This file is necessary to install the Random Respawn Pack!
pause
goto top

:nogrp
echo RANDY.GRP not found!
echo Installation cannot proceed without this file!
pause
goto top

:nocon
echo You must install the Random Respawn Pack before you can uninstall it!
echo    (RANDGAME.CON not found)
pause
goto top

:ktxt
if not exist KEXTRACT.EXE goto notxt
if not exist RANDY.GRP goto notxt
KEXTRACT.EXE RANDY.GRP RANDY.TXT
type RANDY.TXT | MORE
pause
del RANDY.TXT
goto top

:notxt
echo RANDY.TXT not found!
echo You can either "Kextract" it from RANDY.GRP or unzip it from RAND-RES.ZIP
pause
goto top

:end
cls
echo                      Duke Nukem 3D - Atomic Edition
echo                           Random Respawn Pack
echo.
echo                 RANDY.GRP was slopped together by
echo                 Paul Smith a.k.a. Wally Waffles, 1998
echo                 E-Mail address: wallywaffles@geocities.com
echo                 URL: www.geocities.com/TimesSquare/Fortress/1896
echo.
echo                 Please distribute RAND-RES.ZIP to your friends!
echo                 If this is included in a disk compilation,
echo                 please send me a free copy.  I'd REALLY
echo                 apreciate it!  Thanks!
echo v1.12
